package com.xmomen.module.base.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

// 创建商品模型类
public class CreateItem implements Serializable {

    // 商品编码
    private String itemCode;

    // 商品分类ID
    private Integer cdCategoryId;

    // 商品名称
    private String itemName;

    // 商品描述
    private String itemDescribe;

    // 商品类型
    private Integer itemType;

    // 产量
    private String yieldly;

    // 规格
    private String spec;

    // 基础价格
    private BigDecimal basePrice;

    // 会员价格
    private BigDecimal memberPrice;

    // 定价方式
    private String pricingManner;

    // 销售状态
    private Integer sellStatus;

    // 销售单位
    private String sellUnit;

    // 销售价格
    private BigDecimal sellPrice;

    // 是否审核
    private Integer isAudit;

    // 创建时间
    private Date createDateTime;

    // 创建人编码
    private String createUserCode;

    // 财务人员
    private String caizaiUser;

    // 检测人员
    private String jianceUser;

    // 农残率
    private String nongCanLv;

	// 养殖成分
	private String yiYangChenFen;

	// 保质期
	private Integer baoZhiQi;

	// 十亿人群
	private String shiYiRenQun;

	// 限时抢购
	private Integer xianShiQiangGou;

	// 新品常鲜
	private Integer xinPinChangXian;

	// 重新推荐
	private Integer reMaiTuiJian;
    
    // 子商品列表
    private List<ItemChildModel> childItems;

	// 获取商品编码
	public String getItemCode() {
		return itemCode;
	}

	// 设置商品编码
	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	// 获取商品分类ID
	public Integer getCdCategoryId() {
		return cdCategoryId;
	}

	// 设置商品分类ID
	public void setCdCategoryId(Integer cdCategoryId) {
		this.cdCategoryId = cdCategoryId;
	}

	// 获取商品名称
	public String getItemName() {
		return itemName;
	}

	// 设置商品名称
	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	// 获取商品描述
	public String getItemDescribe() {
		return itemDescribe;
	}

	// 设置商品描述
	public void setItemDescribe(String itemDescribe) {
		this.itemDescribe = itemDescribe;
	}

	// 获取商品类型
	public Integer getItemType() {
		return itemType;
	}

	// 设置商品类型
	public void setItemType(Integer itemType) {
		this.itemType = itemType;
	}

	// 获取产量
	public String getYieldly() {
		return yieldly;
	}

	// 设置产量
	public void setYieldly(String yieldly) {
		this.yieldly = yieldly;
	}

	// 获取规格
	public String getSpec() {
		return spec;
	}

	// 设置规格
	public void setSpec(String spec) {
		this.spec = spec;
	}

	// 获取基础价格
	public BigDecimal getBasePrice() {
		return basePrice;
	}

	// 设置基础价格
	public void setBasePrice(BigDecimal basePrice) {
		this.basePrice = basePrice;
	}

	// 获取会员价格
	public BigDecimal getMemberPrice() {
		return memberPrice;
	}

	// 设置会员价格
	public void setMemberPrice(BigDecimal memberPrice) {
		this.memberPrice = memberPrice;
	}

	// 获取定价方式
	public String getPricingManner() {
		return pricingManner;
	}

	// 设置定价方式
	public void setPricingManner(String pricingManner) {
		this.pricingManner = pricingManner;
	}

	// 获取销售状态
	public Integer getSellStatus() {
		return sellStatus;
	}

	// 设置销售状态
	public void setSellStatus(Integer sellStatus) {
		this.sellStatus = sellStatus;
	}

	// 获取销售单位
	public String getSellUnit() {
		return sellUnit;
	}

	// 设置销售单位
	public void setSellUnit(String sellUnit) {
		this.sellUnit = sellUnit;
	}

	// 获取销售价格
	public BigDecimal getSellPrice() {
		return sellPrice;
	}

	// 设置销售价格
	public void setSellPrice(BigDecimal sellPrice) {
		this.sellPrice = sellPrice;
	}


	// 获取是否审核
	public Integer getIsAudit() {
		return isAudit;
	}

	// 设置是否审核
	public void setIsAudit(Integer isAudit) {
		this.isAudit = isAudit;
	}

	// 获取创建时间
	public Date getCreateDateTime() {
		return createDateTime;
	}

	// 设置创建时间
	public void setCreateDateTime(Date createDateTime) {
		this.createDateTime = createDateTime;
	}

	// 获取创建人编码
	public String getCreateUserCode() {
		return createUserCode;
	}

	// 设置创建人编码
	public void setCreateUserCode(String createUserCode) {
		this.createUserCode = createUserCode;
	}

	// 获取子商品列表
	public List<ItemChildModel> getChildItems() {
		return childItems;
	}

	// 设置子商品列表
	public void setChildItems(List<ItemChildModel> childItems) {
		this.childItems = childItems;
	}

	// 获取财务人员
	public String getCaizaiUser() {
		return caizaiUser;
	}

	// 设置财务人员
	public void setCaizaiUser(String caizaiUser) {
		this.caizaiUser = caizaiUser;
	}

	// 获取检测人员
	public String getJianceUser() {
		return jianceUser;
	}

	// 设置检测人员
	public void setJianceUser(String jianceUser) {
		this.jianceUser = jianceUser;
	}

	// 获取农残率
	public String getNongCanLv() {
		return nongCanLv;
	}

	// 设置农残率
	public void setNongCanLv(String nongCanLv) {
		this.nongCanLv = nongCanLv;
	}

	// 获取养殖成分
	public String getYiYangChenFen() {
		return yiYangChenFen;
	}

	// 设置养殖成分
	public void setYiYangChenFen(String yiYangChenFen) {
		this.yiYangChenFen = yiYangChenFen;
	}

	// 获取保质期
	public Integer getBaoZhiQi() {
		return baoZhiQi;
	}

	// 设置保质期
	public void setBaoZhiQi(Integer baoZhiQi) {
		this.baoZhiQi = baoZhiQi;
	}

	// 获取十亿人群
	public String getShiYiRenQun() {
		return shiYiRenQun;
	}

	// 设置十亿人群
	public void setShiYiRenQun(String shiYiRenQun) {
		this.shiYiRenQun = shiYiRenQun;
	}

	// 获取限时抢购
	public Integer getXianShiQiangGou() {
		return xianShiQiangGou;
	}

	// 设置限时抢购
	public void setXianShiQiangGou(Integer xianShiQiangGou) {
		this.xianShiQiangGou = xianShiQiangGou;
	}

	// 获取新品常鲜
	public Integer getXinPinChangXian() {
		return xinPinChangXian;
	}

	// 设置新品常鲜
	public void setXinPinChangXian(Integer xinPinChangXian) {
		this.xinPinChangXian = xinPinChangXian;
	}

	// 获取重新推荐
	public Integer getReMaiTuiJian() {
		return reMaiTuiJian;
	}

	// 设置重新推荐
	public void setReMaiTuiJian(Integer reMaiTuiJian) {
		this.reMaiTuiJian = reMaiTuiJian;
	}
}
